#error Wrong version of Embedded Wizard Runtime Environment (and Graphics Engine)

27 views
asked May 13 in Getting started by MBA

Hello ! 
I just received the E.Wizard Small business software, and I work with the PIC32MZ and MPLAB. 
The E.Wizard v9.30 software works very well after installation, but I can't compile on MPLAB, log : 
#error Wrong version of Embedded Wizard Runtime Environment.
and 
 #error Wrong version of Embedded Wizard Graphics Engine.
( I obviously compiled my E.Wizard file with the new software before trying to compile my MPLAB file)

The MPLAB file I'm trying to compile is a file I created with the free version of E.Wizard, which I want to continue working on.

I have updated MPLAB to version v5.30 and the compiler to version v2.30. But I still have the same errors with my file from the free version of E.Wizard.


Is it possible to fix this error so that I can continue working on this file without having to redo everything? 

Thank you ! Regards.
Morgane

1 Answer

0 votes
answered May 13 by Manfred Schweyer
Hello Morgane,

in principle, there is no problem to start a project with the Free Edition and then continue the project with Embedded Wizard Studio Small Business Edition (or Professional Edition).

It seems that you have some version mixture: Please note, that the version of Embedded Wizard Studio used for generating code has to correspond to the version of the Platform Package (= Graphics Engine and Runtime Environment). Please verify that the version of the Build Environment (which contains the Platform Package libraries and headers) corresponds to the Embedded Wizard Studio version.

When you have licensed Embedded Wizard you have received an account for downloading Embedded Wizard Studio and the Build Environment for your target. There you will find all software packages with the same version.

Best regards,

Manfred.

Embedded Wizard Website | Privacy Policy | Imprint

...